Subject: Re: [-next] m68k proc_ops breakage

From: James Bottomley <[email-masked]>
Date: Mon, 23 Apr 2012 19:22:02 +0100

On Tue, 2012-03-27 at 07:22 +0000, James Bottomley wrote:
> On Mon, 2012-03-26 at 22:06 +0200, Geert Uytterhoeven wrote:
> > m68k/defconfig:
> > 
> > In file included from drivers/scsi/atari_scsi.c:1091:
> > drivers/scsi/atari_NCR5380.c: In function ‘NCR5380_print_status’:
> > drivers/scsi/atari_NCR5380.c:736: error: implicit declaration of
> > function ‘NCR5380_proc_info’
> > drivers/scsi/atari_NCR5380.c: At top level:
> > drivers/scsi/atari_NCR5380.c:767: error: static declaration of
> > ‘NCR5380_proc_info’ follows non-static declaration
> > drivers/scsi/atari_NCR5380.c:736: error: previous implicit declaration
> > of ‘NCR5380_proc_info’ was here
> > make[1]: *** [drivers/scsi/atari_scsi.o] Error 1
> > 
> > 
> > m68k/sun3_defconfig:
> > 
> > In file included from drivers/scsi/sun3_scsi.c:628:
> > drivers/scsi/sun3_NCR5380.c: In function ‘NCR5380_print_status’:
> > drivers/scsi/sun3_NCR5380.c:678: error: implicit declaration of
> > function ‘sun3scsi_proc_info’
> > drivers/scsi/sun3_NCR5380.c: At top level:
> > drivers/scsi/sun3_NCR5380.c:709: error: static declaration of
> > ‘sun3scsi_proc_info’ follows non-static declaration
> > drivers/scsi/sun3_NCR5380.c:678: error: previous implicit declaration
> > of ‘sun3scsi_proc_info’ was here
> > make[1]: *** [drivers/scsi/sun3_scsi.o] Error 1
> > 
> > In file included from drivers/scsi/sun3_scsi_vme.c:571:
> > drivers/scsi/sun3_NCR5380.c: In function ‘NCR5380_print_status’:
> > drivers/scsi/sun3_NCR5380.c:678: error: implicit declaration of
> > function ‘sun3scsi_proc_info’
> > drivers/scsi/sun3_NCR5380.c: At top level:
> > drivers/scsi/sun3_NCR5380.c:709: error: static declaration of
> > ‘sun3scsi_proc_info’ follows non-static declaration
> > drivers/scsi/sun3_NCR5380.c:678: error: previous implicit declaration
> > of ‘sun3scsi_proc_info’ was here
> > make[1]: *** [drivers/scsi/sun3_scsi_vme.o] Error 1
> 
> Yes, the proc_ops conversion isn't quite ready.  I'll hold it over to
> the next merge window so we can fix stuff like this.

OK, so I'd like to try pushing the proc-ops fixes for the next merge
window, but I think I'm still missing the fix for this.

James